<nz-spin nzTip="Loading..." [nzSpinning]="isLoading">
  <div class="contentFull left filler-bottom">
    <div class="content-holder filler-bottom">
      <h4>{{"World.Country.ProposePeace" | translate }}</h4>
      <p>{{"World.Country.ProposePeaceInfo" | translate }}</p>
      <div class="adminLaw">
        <ul class="law2">
          <li class="small">
            <nz-select style="width: 100%;" nzAllowClear nzPlaceHolder="Select country" nzShowSearch
              [nzCustomTemplate]="custom" [(ngModel)]="selectedCountryId" (ngModelChange)="countrySelected($event)">
              <nz-option *ngFor="let item of countries" nzCustomContent [nzLabel]="item.name" [nzValue]="item.id">
                <img src="{{hostUrl}}/{{item.flagLocation[0]}}" /> {{item.name}}
              </nz-option>
            </nz-select>
            <ng-template #custom>
              <span><img src="{{hostUrl}}/{{selectedCountry?.flagLocation[0]}}" /> {{selectedCountry?.name}} </span>
            </ng-template>
          </li>
          <li>
            <input class="mBtn blButton smaller right" type="button" value="{{ 'World.Country.Propose' | translate }}"
              style="border:none;" (click)="propose()">
          </li>
        </ul>
        <div class="clear"></div>
      </div>
    </div>
    <!-- <div class="content-holder">
      <h4>{{"World.Country.OngoingWars" | translate}}</h4>
      <div class="countryAdmin filler-bottom">
        <ul *ngFor="let war of wars" class="suplInfo2 smaller">
          <li>
            <a href="#">
               <img src="~/@vPopulus.Services.Countries.CountryService.GetFlagLocation(" s", (war.Country1Id= =Model.Country.Id ? war.Country2Id : war.Country1Id))"> 
            </a>
          </li>
          <li>
            <a href="@Url.Action(" index", "country" , new { id=(war.Country1Id = =Model.Country.Id ? war.Country2Id : war.Country1Id) })">@(new vPopulus.Services.Helpers.EntityHelper().GetName(EntitiesDictionary.EntityType.Country, war.Country1Id == Model.Country.Id ? war.Country2Id : war.Country1Id))</a>
          </li>
           <li>Since day @vPopulus.Services.Helpers.DateTimeHelper.GameDay(war.StartDateTime)</li>
        </ul>
        <p *ngIf="wars.length === 0" class="smaller">{{"World.Country.NotAtWar" | translate}}</p>
      </div>
    </div> -->
  </div>
</nz-spin>